"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var charcodes = _interopRequireWildcard(require("charcodes"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _default(babel) {
  var t = babel.types;
  return {
    name: "ast-transform",
    // not required
    visitor: {
      ImportDeclaration: function ImportDeclaration(path, state) {
        state.importedLocalName = path.node.specifiers[0].local.name;
      },
      MemberExpression: function MemberExpression(path, state) {
        if (path.node.object.name == state.importedLocalName) {
          var rightName = path.node.property.name; // TODO(sven): we can evaluate the function and inline the result

          if (typeof charcodes[rightName] !== "function") {
            path.replaceWith(t.NumericLiteral());
          }
        }
      }
    }
  };
}